curl --request POST \
--url https://test.paysight.io/api/{productId}/3ds \
--header 'Authorization: <api-key>' \
--header 'ClientId: <clientid>' \
--header 'Content-Type: application/json' \
--data '
{
"threeDSecureId": "<string>",
"paysightSession": "<string>",
"partnerSession": "<string>"
}
'import requests
url = "https://test.paysight.io/api/{productId}/3ds"
payload = {
"threeDSecureId": "<string>",
"paysightSession": "<string>",
"partnerSession": "<string>"
}
headers = {
"ClientId": "<clientid>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
ClientId: '<clientid>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
threeDSecureId: '<string>',
paysightSession: '<string>',
partnerSession: '<string>'
})
};
fetch('https://test.paysight.io/api/{productId}/3ds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://test.paysight.io/api/{productId}/3ds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'threeDSecureId' => '<string>',
'paysightSession' => '<string>',
'partnerSession' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"ClientId: <clientid>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://test.paysight.io/api/{productId}/3ds"
payload := strings.NewReader("{\n \"threeDSecureId\": \"<string>\",\n \"paysightSession\": \"<string>\",\n \"partnerSession\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("ClientId", "<clientid>")
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://test.paysight.io/api/{productId}/3ds")
.header("ClientId", "<clientid>")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"threeDSecureId\": \"<string>\",\n \"paysightSession\": \"<string>\",\n \"partnerSession\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://test.paysight.io/api/{productId}/3ds")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["ClientId"] = '<clientid>'
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"threeDSecureId\": \"<string>\",\n \"paysightSession\": \"<string>\",\n \"partnerSession\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"paysightSession": "<string>",
"partnerSession": "<string>",
"subscribeSuccess": true,
"chargeSuccess": true,
"info": "Success",
"error": "<string>",
"email": "<string>",
"message": "<string>",
"orderId": 123,
"descriptor": "<string>",
"mid": "<string>",
"threeDSecureId": "<string>",
"transactionId": "<string>",
"amount": 123,
"statusId": 123,
"declineSalvage": true,
"merchantAccountId": 123,
"midPortalUrl": "<string>",
"bin": "<string>",
"binCountry": "<string>",
"last4": "<string>",
"eci": "<string>",
"networkTokenized": true,
"submitOrderId": 123,
"applePay": true,
"googlePay": true,
"gatewayResponses": [
{
"gateway": "<string>",
"httpStatus": 123,
"response": "<string>"
}
],
"subscriptionId": 123
}{
"success": false,
"message": "Invalid JSON body"
}Complete a 3D Secure authentication flow
Called after the front-end has completed the 3D Secure challenge and received a result. Pass the threeDSecureId returned from POST /api/{productId} (when info = "Pending") to finalise authentication and proceed with the payment.
The response schema and outcome semantics are identical to POST /api/{productId}.
curl --request POST \
--url https://test.paysight.io/api/{productId}/3ds \
--header 'Authorization: <api-key>' \
--header 'ClientId: <clientid>' \
--header 'Content-Type: application/json' \
--data '
{
"threeDSecureId": "<string>",
"paysightSession": "<string>",
"partnerSession": "<string>"
}
'import requests
url = "https://test.paysight.io/api/{productId}/3ds"
payload = {
"threeDSecureId": "<string>",
"paysightSession": "<string>",
"partnerSession": "<string>"
}
headers = {
"ClientId": "<clientid>",
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
ClientId: '<clientid>',
Authorization: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
threeDSecureId: '<string>',
paysightSession: '<string>',
partnerSession: '<string>'
})
};
fetch('https://test.paysight.io/api/{productId}/3ds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://test.paysight.io/api/{productId}/3ds",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'threeDSecureId' => '<string>',
'paysightSession' => '<string>',
'partnerSession' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"ClientId: <clientid>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://test.paysight.io/api/{productId}/3ds"
payload := strings.NewReader("{\n \"threeDSecureId\": \"<string>\",\n \"paysightSession\": \"<string>\",\n \"partnerSession\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("ClientId", "<clientid>")
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://test.paysight.io/api/{productId}/3ds")
.header("ClientId", "<clientid>")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"threeDSecureId\": \"<string>\",\n \"paysightSession\": \"<string>\",\n \"partnerSession\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://test.paysight.io/api/{productId}/3ds")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["ClientId"] = '<clientid>'
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"threeDSecureId\": \"<string>\",\n \"paysightSession\": \"<string>\",\n \"partnerSession\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"paysightSession": "<string>",
"partnerSession": "<string>",
"subscribeSuccess": true,
"chargeSuccess": true,
"info": "Success",
"error": "<string>",
"email": "<string>",
"message": "<string>",
"orderId": 123,
"descriptor": "<string>",
"mid": "<string>",
"threeDSecureId": "<string>",
"transactionId": "<string>",
"amount": 123,
"statusId": 123,
"declineSalvage": true,
"merchantAccountId": 123,
"midPortalUrl": "<string>",
"bin": "<string>",
"binCountry": "<string>",
"last4": "<string>",
"eci": "<string>",
"networkTokenized": true,
"submitOrderId": 123,
"applePay": true,
"googlePay": true,
"gatewayResponses": [
{
"gateway": "<string>",
"httpStatus": 123,
"response": "<string>"
}
],
"subscriptionId": 123
}{
"success": false,
"message": "Invalid JSON body"
}Authorizations
Your Paysight API key. Send the raw key value — do not prefix with Bearer.
Copy it from https://app.paysight.io/settings/account.
Headers
Your Paysight tenant ID (parent company ID). Find it at https://app.paysight.io/settings/account or https://app.paysight.io/management/companies.
Body
Response
Transaction result after 3D Secure completion. Same structure as the Submit response.
High-level outcome of the submission. Possible values:
Success– Transaction completed successfully.subscribeSuccessand/orchargeSuccesswill betrue.Error– Transaction-level failure. A transaction was attempted; checkstatusIdfor the decline reason.Failed– Pre-processing validation failure; no transaction was logged. Check theerrorfield.LimitReached– A rate or frequency limit was exceeded; no transaction was logged. Check theerrorfield.UserBlocked– The user, card, BIN, or email is blocked; no transaction was logged. Check theerrorfield.AlreadySubscribed– Customer is already subscribed; no new transaction was created.Pending– Awaiting 3D Secure authentication;threeDSecureIdwill be populated. CallPOST /api/{productId}/3dsto complete.RedirectRequired– A redirect is required to complete the transaction.
Success, Error, Failed, LimitReached, UserBlocked, None, AlreadySubscribed, Pending, RedirectRequired Specific error message. Interpretation depends on the accompanying info value.
When info is "Error" (statusId > 0, transaction was attempted):
This field contains the status description from the payment processor corresponding
to the statusId value. See the statusId reference tables for the full list.
When info is "Failed" (no transaction logged, statusId: 0):
"Blocked"– Request blocked at the platform level."Blocked Card"– The specific card is blocked."Invalid expiry"– CardexpiryMonthorexpiryYearis zero or missing."Invalid CVV"– CVV/CVC value is invalid or missing."Invalid CC Number"– Card number failed validation."Invalid Email"– Email address is invalid or missing."VISA cards not Supported"– VISA cards are not accepted for this product/MID."Mastercard cards not supported"– Mastercard cards are not accepted for this product/MID."Discover cards not supported"– Discover cards are not accepted for this product/MID."AMEX cards not supported"– American Express cards are not accepted for this product/MID."MAESTRO cards not supported"– Maestro cards are not accepted for this product/MID."Bin and Last4 required along with Encrypted data"–binandlastFourmust be provided when submitting encrypted card data."Specified Mid not found"– Themidfield does not match any known MID."Specified Mid does not belong to Tenant account"– Themidfield references a MID from a different tenant.
When info is "LimitReached" (no transaction logged, statusId: 0):
"CC entered too many times in quick succession"– The card number has been submitted too frequently in a short window."Email entered too many times for this product"– The email address has been used too many times for this product.
When info is "UserBlocked" (no transaction logged, statusId: 0):
"Blocked card"– Card BIN is from a blocked country."Blocked"– User is blacklisted (by email, card number, or BIN).
Paysight transaction status code. 0 means no transaction was logged (pre-validation failure
or unexpected error). All other values represent a processed transaction outcome.
For the complete reference with retry guidance see the Error & Decline Handling Guide.
Successful
| ID | Status |
|---|---|
| 2636 | Transaction succeeded |
| 3367 | Preauthorized |
| 3616 | Approved |
| 4165 | Card Verified |
| 4173 | SUCCEEDED |
| 4257 | Transaction Approved |
Issuer Declines
The issuing bank rejected the transaction. The card or account is the primary cause.
| ID | Status |
|---|---|
| 2674 | Transaction declined for unknown reason |
| 2677 | Transaction declined by authorization system |
| 2683 | Transaction declined (suspecting manipulation) |
| 2684 | Transaction declined (stolen card) |
| 2690 | Transaction declined (card lost) |
| 2693 | Transaction declined (restricted card) |
| 2695 | Transaction declined (transaction not permitted) |
| 2696 | Transaction declined (pick up card) |
| 2882 | Account or user is blacklisted |
| 3185 | Account Closed |
| 3290 | Suspected Fraud |
| 3613 | Issuer Declined |
| 3614 | Issuer Declined MCC |
| 3617 | Declined |
| 3618 | Do not honor |
| 3621 | Transaction not allowed |
| 3629 | Call issuer for further information |
| 3631 | Lost card |
| 3632 | Stolen card |
| 3635 | Declined - Stop all recurring payments |
| 3637 | Declined - Update cardholder data available |
| 3638 | Declined - Retry in a few days |
| 3640 | Transaction error returned by processor |
| 3654 | Transaction declined (additional customer authentication required) |
| 3821 | Pick up card - F |
| 3822 | Pick up card - SF |
| 3823 | Pick up card - NF |
| 4111 | ScaRequiredError |
| 4174 | ADDRESS_VERIFICATION_FAILED_RISK_RULES |
| 4175 | AUTHORIZATION_EXPIRED_OR_ALREADY_CAPTURED |
| 4176 | BANK_ACCOUNT_CLOSED |
| 4177 | BANK_ACCOUNT_FROZEN |
| 4178 | CALL_ISSUER |
| 4179 | CANCELLATION_VIA_API |
| 4180 | CANCELLATION_VIA_DEVICE |
| 4181 | CARD_ACCOUNT_CLOSED |
| 4182 | CARD_NETWORK_ERROR |
| 4183 | CARD_NOT_ACTIVATED_OR_BLOCKED |
| 4184 | CARD_NOT_SUPPORTED |
| 4185 | CARDHOLDER_PREVENTED_RECURRING_TRANSACTION |
| 4186 | COMMUNICATION_ERROR |
| 4187 | CVV_FAILED_RISK_RULES |
| 4191 | DO_NOT_HONOR |
| 4192 | DUPLICATE_TRANSACTION |
| 4193 | EXCEEDED_CARDHOLDER_INPUT_TIME_LIMIT |
| 4194 | EXCEEDS_APPROVAL_LIMIT |
| 4195 | EXCEEDS_WITHDRAWAL_FREQUENCY_LIMIT |
| 4197 | FRAUD_DETECTED |
| 4198 | FRAUD_DETECTED_BY_FINIX |
| 4199 | FRAUD_DETECTED_BY_ISSUER |
| 4200 | GENERIC_DECLINE |
| 4202 | INCOMPLETE_TRANSACTION |
| 4205 | INVALID_AMOUNT |
| 4211 | INVALID_ISSUER |
| 4212 | INVALID_ROUTING_NUMBER |
| 4213 | INVALID_TRANSACTION |
| 4214 | ISSUER_POLICY_VIOLATION |
| 4215 | LOST_OR_STOLEN_CARD |
| 4216 | MAX_TRANSACTION_AMOUNT_EXCEEDED |
| 4217 | NO_BANK_ACCOUNT_FOUND |
| 4218 | NON_TRANSACTION_ACCOUNT |
| 4219 | PAYMENT_STOPPED |
| 4220 | PICK_UP_CARD |
| 4221 | RESTRICTED_CARD |
| 4222 | RESUBMIT_TRANSACTION |
| 4223 | ALLOWABLE_NUMBER_OF_PIN_ENTRY_TRIES_EXCEEDED |
| 4224 | CANNOT_VERIFY_PIN |
| 4226 | CRYPTOGRAPHIC_ERROR_FOUND_IN_PIN |
| 4227 | ERROR |
| 4228 | EXCEEDS_APPROVAL_AMOUNT_LIMIT |
| 4229 | FILE_TEMPORARILY_NOT_AVAILABLE |
| 4230 | FINANCIAL_INSTITUTION_NOT_FOUND |
| 4232 | INVALID_AMOUNT_OR_CURRENCY |
| 4233 | INVALID_MERCHANT |
| 4234 | ISSUER_INOPERATIVE |
| 4235 | LOST_CARD_PICK_UP_FRAUD_ACCOUNT |
| 4236 | NEGATIVE_RESULTS |
| 4237 | NO_ACTION_TAKEN |
| 4238 | NO_CHECKING_ACCOUNT |
| 4239 | NO_CREDIT_ACCOUNT |
| 4240 | NO_SAVINGS_ACCOUNT |
| 4241 | NO_SUCH_ISSUER |
| 4243 | PICK_UP_CARD_FRAUD_ACCOUNT |
| 4244 | PICK_UP_CARD_NO_FRAUD |
| 4245 | RE_ENTER_TRANSACTION |
| 4246 | REFER_TO_CARD_ISSUER |
| 4247 | STOLEN_CARD_PICK_UP_FRAUD_ACCOUNT |
| 4248 | STOP_PAYMENT_ORDER |
| 4249 | SURCHARGE_AMOUNT_NOT_SUPPORTED |
| 4250 | SUSPECTED_FRAUD |
| 4251 | TRANSACTION_AMOUNT_EXCEEDS_PREAUTHORIZED_APPROVAL_AMOUNT |
| 4252 | TRANSACTION_DOES_NOT_FULFILL_AML_REQUIREMENT |
| 4253 | TRANSACTION_NOT_COMPLETED_LAW_VIOLATION |
| 4254 | UNABLE_TO_LOCATE_RECORD |
| 4255 | Rejected (NMI Fraud block) |
| 4256 | TRANSACTION_NOT_PERMITTED |
| 4265 | Card Type Not Accepted |
| 4266 | ACH Not Accepted |
| 4267 | AVS Mismatch |
| 4268 | Merchant Does Not Accept Card Type |
| 4279 | Declined - Pick Up Card |
| 4280 | Voice Authorization Required |
| 4290 | Card Type Not Accepted by Processor |
| 4303 | Declined - Fraud Score Too High |
| 4307 | Declined - AVS and Card Code Filter |
Insufficient Funds
| ID | Status |
|---|---|
| 2687 | Transaction declined (limit exceeded) |
| 3512 | Insufficient Funds |
| 3619 | Insufficient funds |
| 3620 | Over limit |
| 4203 | INSUFFICIENT_FUNDS |
| 4242 | NOT_SUFFICIENT_FUNDS |
| 4281 | Insufficient Funds |
Invalid Card Details
The card number, expiry, CVV, or holder name is invalid or failed verification.
| ID | Status |
|---|---|
| 2676 | Transaction declined (invalid card) |
| 2682 | Transaction declined (wrong expiry date) |
| 2707 | Transaction declined (invalid CVV — amount may be reserved for a few business days) |
| 2708 | Transaction declined (UserAccount Number/ID unknown) |
| 3137 | Card Expired |
| 3142 | cc/bank account holder not valid |
| 3149 | Invalid cc number/brand combination |
| 3256 | Invalid credit card number |
| 3625 | Expired card |
| 3627 | Invalid card security code |
| 3628 | Invalid PIN |
| 4105 | InvalidCardError |
| 4196 | EXPIRED_CARD |
| 4201 | INACTIVE_CARD |
| 4204 | INVALID_ACCOUNT_NUMBER |
| 4206 | INVALID_BANK_ACCOUNT_NUMBER |
| 4207 | INVALID_BANK_ACCOUNT_VALIDATION_CHECK |
| 4208 | INVALID_CARD |
| 4209 | INVALID_CARD_NUMBER_OR_EXPIRED_CARD |
| 4210 | INVALID_CVV |
| 4225 | CARD_AUTHENTICATION_FAILED |
| 4231 | INCORRECT_PIN |
| 4258 | Invalid Credit Card Number |
| 4259 | Invalid Expiration Date |
| 4260 | Credit Card Expired |
| 4274 | Invalid Amount |
| 4275 | Invalid Account Number |
| 4276 | Invalid ABA Code |
| 4277 | Card Code Mismatch |
| 4282 | Invalid Card Code |
| 4295 | Required Field Missing |
| 4299 | Invalid Credit Card Number Format |
| 4306 | Declined - Card Code Mismatch |
Other / System Errors
Gateway configuration issues, platform-level blocks, duplicate detection, communication failures, and other non-issuer, non-card errors. No transaction may be retried without resolving the underlying cause.
| ID | Status |
|---|---|
| 0 | None — no transaction logged |
| 2 | Failed |
| 1614 | Unsubscribed |
| 1789 | Submitted (gateway-level submission status) |
| 2680 | Transaction declined (amount exceeds credit) |
| 2681 | Transaction declined (format error) |
| 2686 | Transaction declined (too many invalid tries) |
| 2858 | AVS Check Failed (amount reserved but will be released) |
| 2884 | Email blacklisted |
| 2887 | BIN Blacklisted (Paysight) |
| 2890 | Duplicate Transaction |
| 2892 | Max transactions per account already exceeded |
| 2913 | Channel/Merchant is disabled (no processing possible) |
| 2927 | Channel/Merchant not configured for this payment type |
| 2931 | Invalid payment data (currency or sub type not configured) |
| 3027 | Test accounts not allowed in production |
| 3089 | Invalid authentication information |
| 3140 | Request contains no cc/bank account holder |
| 3448 | Failed AVS |
| 3610 | OMIT STATE |
| 3622 | Incorrect payment information |
| 3623 | No such card issuer |
| 3624 | No card number on file with issuer |
| 3636 | Declined - Stop this recurring program |
| 3639 | Transaction was rejected by gateway |
| 3641 | Invalid merchant configuration |
| 3642 | Merchant account is inactive |
| 3643 | Communication error |
| 3644 | Communication error with issuer |
| 3645 | Duplicate transaction at processor |
| 3646 | Processor format error |
| 3647 | Invalid transaction information |
| 3648 | Processor feature not available |
| 3649 | Unsupported card type |
| 3808 | BIN country blocked |
| 3809 | Amount exceeds max ticket |
| 3814 | Name Blacklisted |
| 3818 | Invalid US State Code |
| 4079 | ConfigurationError |
| 4080 | CommunicationError |
| 4082 | AccountError |
| 4083 | TimeoutError |
| 4088 | InputDataMissingError |
| 4089 | InputDataFormatError |
| 4090 | InputDataInvalidError |
| 4093 | WorkflowError |
| 4095 | ReferenceWorkflowError |
| 4104 | ProcessingError |
| 4107 | ExpiredCardError |
| 4115 | CardBlacklistError |
| 4116 | BinBlacklistError |
| 4119 | BlacklistError |
| 4130 | IrisFilterDeclinedError |
| 4135 | IpNotWhitelistedError |
| 4159 | RemoteSystemError |
| 4160 | RemoteConfigurationError |
| 4162 | RemoteWorkflowError |
| 4166 | Authorized then Voided/Cancelled |
| 4167 | Strong Customer Authentication Required |
| 4168 | BIN Blacklisted (Client) |
| 4169 | Daily threshold exceeded |
| 4170 | Custom descriptors are not allowed |
| 4171 | Specified API key not found |
| 4172 | 3DS Failed |
| 4261 | Duplicate Transaction |
| 4262 | Invalid Merchant Authentication |
| 4263 | Invalid Transaction ID |
| 4264 | Transaction Not Found |
| 4269 | Transaction Not Eligible for Settlement |
| 4270 | Transaction Already Settled |
| 4271 | Authorization Code Required |
| 4272 | Invalid Relay Response URL |
| 4273 | Processing Error - Try Again |
| 4278 | Transaction Security Failure |
| 4283 | Transaction Under Review |
| 4284 | Processing Error - Connection Issue |
| 4285 | Processing Error - System Timeout |
| 4286 | Processing Error - Gateway Issue |
| 4287 | Elavon Configuration Error |
| 4288 | Processing Error - Retry Available |
| 4289 | Processing Error - Server Issue |
| 4291 | Paymentech Configuration Error |
| 4292 | Processor Configuration Invalid |
| 4293 | FDC Configuration Error |
| 4294 | Merchant Password Invalid |
| 4296 | VITAL Configuration Error |
| 4297 | Processor Setup Error |
| 4298 | Settlement Failed After Authorization |
| 4300 | Global Payment System Configuration Error |
| 4301 | Invalid Currency Code |
| 4302 | Transaction Must Be Encrypted |
| 4304 | Missing Required Field Information |
| 4305 | Invalid Terminal ID |
| 4308 | Session Expired or Invalid |
| 4309 | Settlement Amount Exceeds Authorization |
| 4310 | Partial Reversals Not Accepted |
| 4311 | Amount Exceeds Maximum Allowed |
| 4312 | Transaction Awaiting Settlement |
| 4313 | Credit Exceeds Original Amount |
| 4314 | Client Notification Failed |
Optional portal URL defined on the Paysight Brand entry. See https://app.paysight.io/management/brands/